<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: App Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_app.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_app-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">App Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MVC controller class Has backend and frontend parts: controls and make them interact.  
 <a href="class_app.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_app_8h_source.html">App.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for App:</div>
<div class="dyncontent">
<div class="center"><img src="class_app__inherit__graph.png" border="0" usemap="#_app_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for App:</div>
<div class="dyncontent">
<div class="center"><img src="class_app__coll__graph.png" border="0" usemap="#_app_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a3547c0bf6c689478d9781dbc315c6fe2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a3547c0bf6c689478d9781dbc315c6fe2">getSignInRequest</a> (QString username, QString password)</td></tr>
<tr class="separator:a3547c0bf6c689478d9781dbc315c6fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc1c243593f67504105bcd8f917018a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a2dc1c243593f67504105bcd8f917018a">getSignUpRequest</a> (<a class="el" href="class_user.html">User</a> user, QString password)</td></tr>
<tr class="separator:a2dc1c243593f67504105bcd8f917018a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e6b27df393ed7162d82b3ceaa3d0036"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a1e6b27df393ed7162d82b3ceaa3d0036">getDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:a1e6b27df393ed7162d82b3ceaa3d0036"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35d8eeb482a72b8bc517301df42f461b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a35d8eeb482a72b8bc517301df42f461b">getSearchBookRequest</a> (QString id, QString title)</td></tr>
<tr class="separator:a35d8eeb482a72b8bc517301df42f461b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a630f288d3e698df9c898b73abf26e4c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a630f288d3e698df9c898b73abf26e4c1">getWishlistRequest</a> ()</td></tr>
<tr class="separator:a630f288d3e698df9c898b73abf26e4c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6d0a410e062f4052e894a09f90d9632"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ad6d0a410e062f4052e894a09f90d9632">getLoansRequest</a> ()</td></tr>
<tr class="separator:ad6d0a410e062f4052e894a09f90d9632"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079b8f04977200368a2869fdabecc526"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a079b8f04977200368a2869fdabecc526">getAddBookToWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a079b8f04977200368a2869fdabecc526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62be77312050a6eb5187c2a8bc660527"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a62be77312050a6eb5187c2a8bc660527">getRemoveBookFromWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a62be77312050a6eb5187c2a8bc660527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37e7f5fefeab4fffa69fadd39fd90069"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a37e7f5fefeab4fffa69fadd39fd90069">getReserveBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a37e7f5fefeab4fffa69fadd39fd90069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb37556b20fa5f30cb0a1630bd14d2e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#abb37556b20fa5f30cb0a1630bd14d2e6">getReturnBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:abb37556b20fa5f30cb0a1630bd14d2e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07a8fdd168baba27511a3ec921a57885"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a07a8fdd168baba27511a3ec921a57885">getCurrentUserRequest</a> ()</td></tr>
<tr class="separator:a07a8fdd168baba27511a3ec921a57885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af90b1b0b5e3d063f3b467d2ef2cdd1c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#af90b1b0b5e3d063f3b467d2ef2cdd1c4">getUserRequest</a> (QString username)</td></tr>
<tr class="separator:af90b1b0b5e3d063f3b467d2ef2cdd1c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6b8c9c3dacae9b5cf530383d9fa8e96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ab6b8c9c3dacae9b5cf530383d9fa8e96">getEditUserRequest</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin, QString password)</td></tr>
<tr class="separator:ab6b8c9c3dacae9b5cf530383d9fa8e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16170255cab4026e3a7b9a5807f8e2eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a16170255cab4026e3a7b9a5807f8e2eb">getImportWishlistFromFileRequest</a> (QString pathToFileToImport)</td></tr>
<tr class="separator:a16170255cab4026e3a7b9a5807f8e2eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa45cdef0c89abdbbd7865d757e3fd6a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#aa45cdef0c89abdbbd7865d757e3fd6a2">getExportWishlistFromFileRequest</a> (QString pathToFileToExport)</td></tr>
<tr class="separator:aa45cdef0c89abdbbd7865d757e3fd6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad076e2326cccb5f48449ce015f694792"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ad076e2326cccb5f48449ce015f694792">getAddBookToLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ad076e2326cccb5f48449ce015f694792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24a7d5ef7b7941dfd1004caf3901282c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a24a7d5ef7b7941dfd1004caf3901282c">getEditBookInLibraryRequest</a> (QString oldBookIsbn, <a class="el" href="class_book.html">Book</a> newBook)</td></tr>
<tr class="separator:a24a7d5ef7b7941dfd1004caf3901282c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f898eff011d912bba9fff0b06db9576"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a1f898eff011d912bba9fff0b06db9576">getRemoveBookFromLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a1f898eff011d912bba9fff0b06db9576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af964cb73a390693499bf310073ded36e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#af964cb73a390693499bf310073ded36e">getSearchUserRequest</a> (QString id, QString name)</td></tr>
<tr class="separator:af964cb73a390693499bf310073ded36e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d80b7c6b5980b9e5c93d544a08843d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a7d80b7c6b5980b9e5c93d544a08843d9">getAddUserToLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user, bool makeAdmin)</td></tr>
<tr class="separator:a7d80b7c6b5980b9e5c93d544a08843d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef852e147ecc4f6ce5a4a7f8489e2a3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#aef852e147ecc4f6ce5a4a7f8489e2a3a">getEditUserInLibraryRequest</a> (QString oldId, <a class="el" href="class_user.html">User</a> newUser, bool isAdmin, QString newPassword)</td></tr>
<tr class="separator:aef852e147ecc4f6ce5a4a7f8489e2a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad26cb7d47bae0262adaece7e3f887658"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ad26cb7d47bae0262adaece7e3f887658">getRemoveUserFromLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user)</td></tr>
<tr class="separator:ad26cb7d47bae0262adaece7e3f887658"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a5277de83d654625f2ff9998cb751a1b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a5277de83d654625f2ff9998cb751a1b8">sendCurrentUserAdminStatus</a> (bool isCurrentUserAnAdmin)</td></tr>
<tr class="separator:a5277de83d654625f2ff9998cb751a1b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a062013a314f850580362f5fa4aaa64e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a062013a314f850580362f5fa4aaa64e5">sendSignInRequestResult</a> (bool signInOk)</td></tr>
<tr class="separator:a062013a314f850580362f5fa4aaa64e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa75d5e63f7bfb3c1ca27641faeab2800"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#aa75d5e63f7bfb3c1ca27641faeab2800">sendSignUpRequestResult</a> (bool signUpOk)</td></tr>
<tr class="separator:aa75d5e63f7bfb3c1ca27641faeab2800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3497d402d908ef1de7744fe33af4966"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#af3497d402d908ef1de7744fe33af4966">sendDetailsAboutBookRequestResult</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:af3497d402d908ef1de7744fe33af4966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3fee2aff6169956359f840fcd155bc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#aa3fee2aff6169956359f840fcd155bc8">sendSearchBookRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:aa3fee2aff6169956359f840fcd155bc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7960a336b7fa8d282b6e4121395c1b38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a7960a336b7fa8d282b6e4121395c1b38">sendWishlistRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a7960a336b7fa8d282b6e4121395c1b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7996508e24f143e870ce308a63f17255"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a7996508e24f143e870ce308a63f17255">sendLoansRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a7996508e24f143e870ce308a63f17255"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62537a268c86459241d09350f47634d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ab62537a268c86459241d09350f47634d">sendAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ab62537a268c86459241d09350f47634d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90b57e1203e8e94ab9365e4ad9147e88"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a90b57e1203e8e94ab9365e4ad9147e88">sendRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a90b57e1203e8e94ab9365e4ad9147e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985d8e47297cadaeac565fbf3e026e9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a985d8e47297cadaeac565fbf3e026e9f">sendReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a985d8e47297cadaeac565fbf3e026e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef598bb6789958852f0a7de36b9a6e12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#aef598bb6789958852f0a7de36b9a6e12">sendReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aef598bb6789958852f0a7de36b9a6e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf3f23886cdc301a0c20503dd19a810"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#abbf3f23886cdc301a0c20503dd19a810">sendUserRequestResult</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin)</td></tr>
<tr class="separator:abbf3f23886cdc301a0c20503dd19a810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f24a2acf9db5f000234076e3d203c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a27f24a2acf9db5f000234076e3d203c1">sendEditUserRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a27f24a2acf9db5f000234076e3d203c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd2b7006fe1c750629e8f88f3826e74b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#afd2b7006fe1c750629e8f88f3826e74b">sendImportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:afd2b7006fe1c750629e8f88f3826e74b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32d88c7547d4ca59aa268dcb9a1c78b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a32d88c7547d4ca59aa268dcb9a1c78b5">sendExportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a32d88c7547d4ca59aa268dcb9a1c78b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c2f532509588e6060ae04fdbbed21cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a2c2f532509588e6060ae04fdbbed21cc">sendAddBookToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a2c2f532509588e6060ae04fdbbed21cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac925c4f2baf8a64d2ebf232439979a37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#ac925c4f2baf8a64d2ebf232439979a37">sendEditBookInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ac925c4f2baf8a64d2ebf232439979a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3acb6b7206bc412c1dfb04ee5d5c9769"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a3acb6b7206bc412c1dfb04ee5d5c9769">sendRemoveBookFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a3acb6b7206bc412c1dfb04ee5d5c9769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ce3bdbf1ca6d36aa405867f50711afd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a4ce3bdbf1ca6d36aa405867f50711afd">sendSearchUserRequestResult</a> (std::vector&lt; <a class="el" href="class_user.html">User</a> &gt; users)</td></tr>
<tr class="separator:a4ce3bdbf1ca6d36aa405867f50711afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7df689f27e02f71c4ee41a391f3822b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a7df689f27e02f71c4ee41a391f3822b7">sendAddUserToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a7df689f27e02f71c4ee41a391f3822b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c09216637aa69c1db71a005f003bb63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a2c09216637aa69c1db71a005f003bb63">sendEditUserInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a2c09216637aa69c1db71a005f003bb63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40b2071c35b8707b451dc1c2aa9595f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a40b2071c35b8707b451dc1c2aa9595f7">sendRemoveUserFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a40b2071c35b8707b451dc1c2aa9595f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acb8cbf3e285b91d0170ffe87df5989c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#acb8cbf3e285b91d0170ffe87df5989c5">App</a> ()</td></tr>
<tr class="separator:acb8cbf3e285b91d0170ffe87df5989c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f1f253b1cef5f4ecbac66eaf6964ec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a34f1f253b1cef5f4ecbac66eaf6964ec">~App</a> ()</td></tr>
<tr class="separator:a34f1f253b1cef5f4ecbac66eaf6964ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45e80958bad2ae75a2a152028a66021c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45e80958bad2ae75a2a152028a66021c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a45e80958bad2ae75a2a152028a66021c">start</a> ()</td></tr>
<tr class="memdesc:a45e80958bad2ae75a2a152028a66021c"><td class="mdescLeft">&#160;</td><td class="mdescRight">start open app <br /></td></tr>
<tr class="separator:a45e80958bad2ae75a2a152028a66021c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a900dabc81284917251bf65cf02a10238"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a900dabc81284917251bf65cf02a10238">signIn</a> (QString username, QString password)</td></tr>
<tr class="separator:a900dabc81284917251bf65cf02a10238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2eed8708f30842c9fe21d6e7f8c2ad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a6e2eed8708f30842c9fe21d6e7f8c2ad">signUp</a> (<a class="el" href="class_user.html">User</a> user, QString password)</td></tr>
<tr class="separator:a6e2eed8708f30842c9fe21d6e7f8c2ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9414caa053cecdd2003a1a0e814fbfbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_app.html#a9414caa053cecdd2003a1a0e814fbfbf">exit</a> ()</td></tr>
<tr class="separator:a9414caa053cecdd2003a1a0e814fbfbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MVC controller class Has backend and frontend parts: controls and make them interact. </p>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acb8cbf3e285b91d0170ffe87df5989c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">App::App </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New app loading default database of users and books </p><dl class="section return"><dt>Returns</dt><dd>new app</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a34f1f253b1cef5f4ecbac66eaf6964ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">App::~App </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Destroy app </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9414caa053cecdd2003a1a0e814fbfbf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void App::exit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exits app properly (saving changes) </p>

</div>
</div>
<a class="anchor" id="ad076e2326cccb5f48449ce015f694792"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getAddBookToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to add </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a079b8f04977200368a2869fdabecc526"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getAddBookToWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to add to wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7d80b7c6b5980b9e5c93d544a08843d9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getAddUserToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>makeAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to add </td></tr>
    <tr><td class="paramname">makeAdmin</td><td>true iff new user should be an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a07a8fdd168baba27511a3ec921a57885"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getCurrentUserRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p>

</div>
</div>
<a class="anchor" id="a1e6b27df393ed7162d82b3ceaa3d0036"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend for details about book with isbn </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to get details about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a24a7d5ef7b7941dfd1004caf3901282c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getEditBookInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldBookIsbn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>newBook</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldBookIsbn</td><td>isbn of book to edit </td></tr>
    <tr><td class="paramname">newBook</td><td>new book </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aef852e147ecc4f6ce5a4a7f8489e2a3a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getEditUserInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>newUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>newPassword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldId</td><td>email of user to edit </td></tr>
    <tr><td class="paramname">newUser</td><td>new user </td></tr>
    <tr><td class="paramname">newPassword</td><td>password of new user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab6b8c9c3dacae9b5cf530383d9fa8e96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getEditUserRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to change current user to this new one </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">password</td><td>new password </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa45cdef0c89abdbbd7865d757e3fd6a2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getExportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToExport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToExport</td><td>file to export books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a16170255cab4026e3a7b9a5807f8e2eb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getImportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToImport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToImport</td><td>file to import books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad6d0a410e062f4052e894a09f90d9632"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getLoansRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p>

</div>
</div>
<a class="anchor" id="a1f898eff011d912bba9fff0b06db9576"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getRemoveBookFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a62be77312050a6eb5187c2a8bc660527"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getRemoveBookFromWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to remove from wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad26cb7d47bae0262adaece7e3f887658"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getRemoveUserFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>user to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a37e7f5fefeab4fffa69fadd39fd90069"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getReserveBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to reserve </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abb37556b20fa5f30cb0a1630bd14d2e6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getReturnBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to return </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a35d8eeb482a72b8bc517301df42f461b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getSearchBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>isbn code to search book </td></tr>
    <tr><td class="paramname">title</td><td>title of book to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af964cb73a390693499bf310073ded36e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getSearchUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>email of user to search </td></tr>
    <tr><td class="paramname">name</td><td>name of user to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3547c0bf6c689478d9781dbc315c6fe2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getSignInRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Mark when a sign in request is made by the dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to sign in with </td></tr>
    <tr><td class="paramname">password</td><td>password of user to authenticate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2dc1c243593f67504105bcd8f917018a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getSignUpRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Mark when a sign up request is made by the dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to sign up </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af90b1b0b5e3d063f3b467d2ef2cdd1c4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username of user to get info about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a630f288d3e698df9c898b73abf26e4c1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::getWishlistRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets user wishlist </p>

</div>
</div>
<a class="anchor" id="a2c2f532509588e6060ae04fdbbed21cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendAddBookToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab62537a268c86459241d09350f47634d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendAddBookToWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7df689f27e02f71c4ee41a391f3822b7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendAddUserToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5277de83d654625f2ff9998cb751a1b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendCurrentUserAdminStatus </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isCurrentUserAnAdmin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends information regardin admin status of the current user of the app </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isCurrentUserAnAdmin</td><td>true if current user of app is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af3497d402d908ef1de7744fe33af4966"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendDetailsAboutBookRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReservedByUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isInUserWishlist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on book details </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>full book details </td></tr>
    <tr><td class="paramname">isReservedByUser</td><td>true iff current user has reserved this book </td></tr>
    <tr><td class="paramname">isInUserWishlist</td><td>true iff book is in current user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac925c4f2baf8a64d2ebf232439979a37"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendEditBookInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c09216637aa69c1db71a005f003bb63"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendEditUserInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a27f24a2acf9db5f000234076e3d203c1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendEditUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on change current user settings </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a32d88c7547d4ca59aa268dcb9a1c78b5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendExportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afd2b7006fe1c750629e8f88f3826e74b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendImportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7996508e24f143e870ce308a63f17255"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendLoansRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>user books loans </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3acb6b7206bc412c1dfb04ee5d5c9769"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendRemoveBookFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a90b57e1203e8e94ab9365e4ad9147e88"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendRemoveBookFromWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a40b2071c35b8707b451dc1c2aa9595f7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendRemoveUserFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a985d8e47297cadaeac565fbf3e026e9f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendReserveBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aef598bb6789958852f0a7de36b9a6e12"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendReturnBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa3fee2aff6169956359f840fcd155bc8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendSearchBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>user books wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4ce3bdbf1ca6d36aa405867f50711afd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendSearchUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_user.html">User</a> &gt;&#160;</td>
          <td class="paramname"><em>users</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">users</td><td>list of users matching query </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a062013a314f850580362f5fa4aaa64e5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendSignInRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>signInOk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends sign in result </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">signInOk</td><td>whether sign authentication went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa75d5e63f7bfb3c1ca27641faeab2800"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendSignUpRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>signUpOk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends sign up result </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">signUpOk</td><td>whether sign up process went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abbf3f23886cdc301a0c20503dd19a810"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendUserRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>current user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7960a336b7fa8d282b6e4121395c1b38"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void App::sendWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p>

</div>
</div>
<a class="anchor" id="a900dabc81284917251bf65cf02a10238"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool App::signIn </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sign-in user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>name or user to login </td></tr>
    <tr><td class="paramname">password</td><td>password or user to login </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if everything went well </dd></dl>

</div>
</div>
<a class="anchor" id="a6e2eed8708f30842c9fe21d6e7f8c2ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool App::signUp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sign-up new user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to sign up </td></tr>
    <tr><td class="paramname">password</td><td>password of user to authenticate </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if everything went well </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>app/App/<a class="el" href="_app_8h_source.html">App.h</a></li>
<li>app/App/App.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_app.html">App</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
